%define  upstream_name PHPUnit_Selenium
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	1.2.7
Release:	%mkrel 2
Summary:	Selenium RC integration for PHPUnit
License:	BSD
Group:		Development/PHP
URL:		http://pear.phpunit.de/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-channel-phpunit
BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	php-channel-phpunit

Conflicts:      php-pear-PHPUnit < 3.6.10-1

%description
Selenium RC integration for PHPUnit

%prep
%setup -q -c 
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%build

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{xmldir}
install -m 644 %{upstream_name}.xml %{buildroot}%{xmldir}

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHPUnit_Selenium.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHPUnit_Selenium
fi

%files
%defattr(-,root,root)
%doc
%{peardir}/PHPUnit/Extensions/SeleniumTestCase.php
%{peardir}/PHPUnit/Extensions/SeleniumTestCase/Driver.php
%{peardir}/PHPUnit/Extensions/SeleniumTestCase/append.php
%{peardir}/PHPUnit/Extensions/SeleniumTestCase/phpunit_coverage.php
%{peardir}/PHPUnit/Extensions/SeleniumTestCase/prepend.php
%{peardir}/PHPUnit/Extensions/SeleniumTestCase/Autoload.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Command.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Driver.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Element.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/ElementCommand/Click.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/ElementCommand/GenericAccessor.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/ElementCommand/Value.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/ElementCriteria.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Response.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Session.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionCommand/AcceptAlert.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionCommand/DismissAlert.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionCommand/GenericAccessor.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionCommand/Url.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Session/Cookie.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Session/Cookie/Builder.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Session/Storage.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Session/Timeouts.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionCommand/AlertText.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionCommand/Frame.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionCommand/Keys.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionCommand/Window.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionStrategy.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionStrategy/Isolated.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/SessionStrategy/Shared.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/URL.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Element/Select.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/ElementCommand/Attribute.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/ElementCommand/Css.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/ElementCommand/Equals.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/ElementCommand/GenericPost.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/CommandsHolder.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Exception.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/StateCommand.php
%{peardir}/PHPUnit/Extensions/Selenium2TestCase/Window.php
%{peardir}/PHPUnit/Extensions/SeleniumTestSuite.php
%{peardir}/PHPUnit/Extensions/SeleniumBrowserSuite.php
%{xmldir}/PHPUnit_Selenium.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.2.7-2.mga3
+ Revision: 377136
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 spuhler <spuhler> 1.2.7-1.mga3
+ Revision: 275864
- upgrade to 1.2.7

* Wed Apr 04 2012 dmorgan <dmorgan> 1.2.3-2.mga2
+ Revision: 228318
- Add conflict to ease upgrade

* Mon Feb 27 2012 spuhler <spuhler> 1.2.3-1.mga2
+ Revision: 215502
- update to 1.1.3

* Sun Jan 22 2012 spuhler <spuhler> 1.2.1-1.mga2
+ Revision: 199766
- upgrade to 1.2.1

* Thu Jan 12 2012 spuhler <spuhler> 1.2.0-1.mga2
+ Revision: 195152
- upgrade to 1.2.0

* Thu Dec 29 2011 spuhler <spuhler> 1.1.3-1.mga2
+ Revision: 188765
- upgrade to 1.1.3

* Sat Dec 03 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 175732
- upgrade to 1.1.1

* Tue Nov 15 2011 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 167886
- upgrade to 1.1.0
  Spec file pearized

* Mon Jul 11 2011 spuhler <spuhler> 1.0.3-1.mga2
+ Revision: 122042
- imported package php-pear-PHPUnit_Selenium

